general {
    grace = 4
    hide_cursor = true
}

background {
    monitor =
    path = ~/wallpapers/active.png
    
    blur_size = 2
    blur_passes = 2
    noise = 0.05
    contrast = 1
    brightness = 0.8
    vibrancy = 1
    vibrancy_darkness = 0
}

input-field {
    monitor =
    size = 250, 50
    outline_thickness = 4
    dots_size = 0.33
    dots_spacing = 0.5
    dots_center = true

    fade_on_empty = true
    hide_input = false
    placeholder_text =

    position = 0, 200
    halign = center
    valign = bottom

    fail_text = $ATTEMPTS
    check_color = rgba(00000000)
    fail_color = rgba(ff0000ff)
    font_family = JetBrains Mono Nerd Font
    rounding = 10

    inner_color = rgba(00000000)
    outer_color = rgba(00000000)
    font_color = rgb(ffffff)
}

# Date
label {
    monitor =
    text = cmd[update:18000000] echo "<b>"$(date +'%A, %B %-d')"</b>"
    color = rgba(ffffffff)
    font_size = 34
    font_family = JetBrains Mono Nerd Font 10

    position = 0, 0
    halign = center
    valign = center
}

# Time
label {
    monitor =
    text = cmd[update:1000] echo "<b><big>$(date +"%H:%M:%S")</big></b>"
    color = rgba(ffffffff)
    font_size = 94
    font_family = JetBrains Mono Nerd Font 10

    position = 0, 100
    halign = center
    valign = center
}

# User
label {
    monitor =
    text = <b>$USER</b>
    color = rgba(ffffffff)
    font_size = 18
    font_family = JetBrains Mono Nerd Font 10

    position = 0, 100
    halign = center
    valign = bottom
}

# Contact info
label {
    monitor =
    text = <b>Ted Pier<br/>Email ted@miningtcup.me<br/>Call or text 650-512-9635</b>
    color = rgba(ffffffff)
    font_size = 11
    font_family = JetBrains Mono Nerd Font 10

    position = 8, 8
    halign = left
    valign = bottom
}

# Battery info
label {
    monitor =
    text = cmd[update:1000] echo "<b>$(cat /sys/class/power_supply/BAT0/status) $(cat /sys/class/power_supply/BAT0/capacity)%</b>"
    color = rgba(ffffffff)
    font_size = 11
    font_family = JetBrains Mono Nerd Font 10

    position = -8, -8
    halign = right
    valign = top
}
